{
  "schema_version": "1.4.0",
  "id": "GHSA-r4j8-fwxp-qfmx",
  "modified": "2022-05-14T02:07:17Z",
  "published": "2022-05-14T02:07:17Z",
  "aliases": [
    "CVE-2015-4142"
  ],
  "details": "Integer underflow in the WMM Action frame parser in hostapd 0.5.5 through 2.4 and wpa_supplicant 0.7.0 through 2.4, when used for AP mode MLME/SME functionality, allows remote attackers to cause a denial of service (crash) via a crafted frame, which triggers an out-of-bounds read.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-4142"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201606-17"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/kb/HT213258"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-November/171401.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-November/172608.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-November/172655.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-06/msg00019.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1090.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1439.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2022/May/34"
    },
    {
      "type": "WEB",
      "url": "http://w1.fi/security/2015-3/integer-underflow-in-ap-mode-wmm-action-frame.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3397"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/05/09/5"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/05/31/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1032625"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2650-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-06-15T15:59:00Z"
  }
}